QID 239173

Date Published: 2021-03-24

QID 239173: Red Hat Update for nss and nss-softokn (RHSA-2021:0876)

Network Security Services (NSS)
is a set of libraries designed to support the cross-platform development of security-enabled client and server applications.The nss-softokn package provides the Network Security Services Softoken Cryptographic Module.

Security Fix(es): nss: Use-after-free in sftk_FreeSession due to improper refcounting (CVE-2019-11756) nss: Check length of inputs for cryptographic primitives (CVE-2019-17006) nss: Handling of Netscape Certificate Sequences in CERT_DecodeCertPackage()
may crash with a NULL deref leading to DoS (CVE-2019-17007) nss: CHACHA20-POLY1305 decryption with undersized tag leads to out-of-bounds read (CVE-2020-12403)

Affected Products:

Red Hat Enterprise Linux for x86_64 - Extended Update Support 7.6 x86_64
Red Hat Enterprise Linux Server - AUS 7.6 x86_64
Red Hat Enterprise Linux for IBM z Systems - Extended Update Support 7.6 s390x
Red Hat Enterprise Linux for Power, big endian - Extended Update Support 7.6 ppc64
Red Hat Enterprise Linux EUS Compute Node 7.6 x86_64
Red Hat Enterprise Linux for Power, little endian - Extended Update Support 7.6 ppc64le
Red Hat Enterprise Linux Server - TUS 7.6 x86_64
Red Hat Enterprise Linux for Power 9 7 ppc64le
Red Hat Enterprise Linux Server (for IBM Power LE) - Update Services for SAP Solutions 7.6 ppc64le
Red Hat Enterprise Linux Server - Update Services for SAP Solutions 7.6 x86_64
Red Hat Enterprise Linux for IBM System z (Structure A) 7 s390x

Note: The preceding description block is extracted directly from the security advisory. Using automation, we have attempted to clean and format it as much as possible without introducing additional issues.

On successful exploitation, it could allow an attacker to execute code.

  • CVSS V3 rated as Critical - 9.8 severity.
  • CVSS V2 rated as Critical - 10 severity.
  • Solution
    Upgrade to the latest packages which contain a patch. Refer to Applying Package Updates to RHEL system for details.

    Refer to Red Hat security advisory RHSA-2021:0876 to address this issue and obtain more information.

    Vendor References

    CVEs related to QID 239173

    Software Advisories
    Advisory ID Software Component Link
    RHSA-2021:0876 Red Hat Enterprise Linux URL Logo access.redhat.com/errata/RHSA-2021:0876?language=en